./devel/arm-none-eabi/gdb [gdb for arm-none-eabi cross-development]
[+] Add this package to your ports tracker

[ CVSweb ] [ Homepage ] [ RSS feed ]

Version: 7.12.1, Package name: arm-none-eabi-gdb-7.12.1
Maintained by: The OpenBSD ports mailing-list
Master sites:
Description
This is the GNU debugger, configured for the arm-none-eabi target.

For more information, type "help" from within GDB, or consult the
GDB manual (available as on-line info or a printed manual).


Filesize: 18774.797 KB
Version History (View Complete History)
  • (2021-02-10) Updated to version: arm-none-eabi-gdb-7.12.1
  • (2015-05-29) Package added to openports.se, version arm-none-eabi-gdb-7.9.1 (created)
[show/hide] View available PLISTS (Can be a lot of data)

CVS Commit History:

   2021-02-23 12:39:53 by Stuart Henderson | Files touched by this commit (743)
Log message:
Reverse the polarity of MODPY_VERSION; default is now 3.x,
if a port needs 2.x then set MODPY_VERSION=${MODPY_DEFAULT_VERSION_2}.
This commit doesn't change any versions currently used; it may be that
some ports have MODPY_DEFAULT_VERSION_2 but don't require it, those
should be cleaned up in the course of updating ports where possible.
Python module ports providing py3-* packages should still use
FLAVOR=python3 so that we don't have a mixture of dependencies some
using ${MODPY_FLAVOR} and others not.
   2021-02-09 17:41:23 by Jonathan Gray | Files touched by this commit (11)
Log message:
update arm-none-eabi-gdb to 7.12.1 matching devel/gdb
backport a arm specific -fno-common fix
[ARM, sim] Fix build error and warnings
851c0536cabb661847c45c73ebd796eb3299066b
   2020-12-09 14:41:43 by Stuart Henderson | Files touched by this commit (4)
Log message:
de-conflict gdb and arm-none-eabi-gdb. the conflicting files are
include/gdb/jit-reader.h
share/gdb/system-gdbinit/elinos.py
share/gdb/system-gdbinit/wrs-linux.py
these are not needed in most cases, and near identical between gdb and
arm-none-eabi-gdb (only difference is the copyright date), so having just
one copy is good enough.
remove old libbfd @conflict from gdb/pkg/PLIST while there (the libbfd
port was removed in 2011) noticed by solene@.
prompted by a suggestion from solene@ to remove the gdb dependency from
gnustep/projectcenter, looks fine to her.
   2019-07-16 15:29:41 by Stuart Henderson | Files touched by this commit (19)
Log message:
Some ports using gnulib previously detected a broken realpath and switched to an
internal replacement function. Following the changes to make realpath(3) use the
__realpath() syscall these no longer detect broken realpath i.e. produce different
code. Bump REVISION to ensure that users get the new version.
   2019-05-20 14:52:36 by Stuart Henderson | Files touched by this commit (87)
Log message:
another batch of ncurses->curses WANTLIB updates, skipping any
that have gettext LIB/RUN_DEPENDS to avoid conflicts for naddy's
multipackaging work
   2019-04-16 09:35:30 by Christian Weisgerber | Files touched by this commit (11)
Log message:
fix warning and future error about unescaped left brace in perl regex
   2017-06-02 17:17:08 by Ingo Schwarze | Files touched by this commit (4)
Log message:
no relevant formatting differences, drop USE_GROFF
and bump those three of the four pacakges that change
   2016-09-23 04:52:18 by Christian Weisgerber | Files touched by this commit (1)
Log message:
do not pick up guile2
   2015-08-12 16:27:32 by Stuart Henderson | Files touched by this commit (19)
Log message:
sync WANTLIB
   2015-06-10 04:55:10 by Marc Espie | Files touched by this commit (4)
Log message:
conflicts